
# Java und SQL

**Hinweis:** Die Fragen-Datenbank wurde aus einer Fragen-Textdatei des Projekts „Tauschbörse Unterricht“ erzeugt. Die Verwendung der zugrundeliegenden Daten geschieht mit ausdrücklichem Einverständnis des Projekts „Tauschbörse Unterricht“.

### a) Einstieg: "Wer wird Millionär"

- Demo des Endprodukts als Motivation - vgl. auch Quellcode im Ordner [JAVA-Datenbanktest](./JAVA-Datenbanktest)
- Infoblatt: Vorstellung der Fragen-Datenbank [AB-04-FragenDatenbank.pdf](./AB-04-FragenDatenbank.pdf)
- Erarbeitung: Welche Informationen fehlen uns zur Umsetzung? Anbindung einer DB in Java!

### b) Java-Anbindung einer MySQL-Datenbank

 * Infoblatt: Java-Klassen zur vereinfachten Anbindung einer Datenbank [AB-01-JavaKlassen.pdf](./AB-01-JavaKlassen.pdf)
 * Infoblatt: Beispiel [AB-02-JavaTest.pdf](./AB-02-JavaTest.pdf)
 * beide durcharbeiten und besprechen
 * Umsetzung am PC
   * benötigte Klassen im Ordner [JAVA-SCHÜLER](./JAVA-SCHÜLER)
   * **Wichtig!** Hinzufügen des MySQL-Treibers zu BlueJ zeigen!
   * vgl. auch Quellcode im Ordner [JAVA-Datenbanktest](./JAVA-Datenbanktest)
   
### c) Umsetzung "Wer wird Millionär?"

 * Infoblatt GUI-Klasse + Controller-Klasse: [AB-03-MillionaerSpiel.pdf](./AB-03-MillionaerSpiel.pdf)
 * Zusammenwirken der Klassen erläutern (Frontend vs. Backend)
 * Umsetzung am PC
   * Grundaufgabe: Klasse MillionaerDatenbank mit Leben füllen
   * Zusatzaufgabe: Antworten shuffeln, da leider in der DB sehr oft die erste Antwort richtig ist
   * vgl. Musterlösung: [FO-01-MillionaerMusterloesung.pdf](./FO-01-MillionaerMusterloesung.pdf)
   * vgl. Umsetzung im Ordner [JAVA-Millionaer](./JAVA-Millionaer)
 
