import db.*;

public class MillionaerDatenbank {

    private DatabaseConnector con;
    
    private String frage;
    private String[] antworten = new String[4];
    private int loesung;
    
    private int[] werte = { 50, 100, 200, 300, 500, 1000, 2000, 4000, 8000, 16000, 32000, 64000, 125000, 500000, 1000000 };
    private int stufe = -1;
    
    
    public MillionaerDatenbank() {
        con = new DatabaseConnector("localhost",3306,"millionaer","root","root");
    }
    
    
    public void bestimmeNaechsteFrage() {
        
        stufe++;
        
        String query = "SELECT frage1, frage2, frage3, antwort1, antwort2, antwort3, antwort4, loesung FROM fragen WHERE min<="+werte[stufe]+" AND "+werte[stufe]+"<=max";
        con.executeStatement(query);
        
        QueryResult res = con.getCurrentQueryResult();        
        if (res != null) {
            // Frage auswählen
            int anzahl = res.getRowCount();
            int wahl = (int) (Math.random()*anzahl);
            
            // Nummer der Antwort
            String antwort = res.getData()[wahl][7];
            loesung = 0;
            switch (antwort) {
                case "1": loesung=1; break;
                case "2": loesung=2; break;
                case "3": loesung=3; break;
                case "4": loesung=4; break;
            }
            
            frage = res.getData()[wahl][0] + res.getData()[wahl][1] + res.getData()[wahl][2];
            
            antworten[0] = res.getData()[wahl][3];
            antworten[1] = res.getData()[wahl][4];
            antworten[2] = res.getData()[wahl][5];
            antworten[3] = res.getData()[wahl][6];
            
            shuffle();
            shuffle();
        }
        else {
            System.out.println(con.getErrorMessage());
        }
    }
    
    private void shuffle() {
        int nr1 = (int) (Math.random()*4);
        int nr2 = (int) (Math.random()*4);
        
        if (!(nr1==nr2)) {
            String hilf = antworten[nr1];
            antworten[nr1] = antworten[nr2];
            antworten[nr2] = hilf;
            
            if (loesung==(nr1+1)) {
                loesung = nr2+1;
            }
            else if (loesung==(nr2+1)) {
                loesung = nr1+1;
            }
        }
        
    }
    
    public String gibFrage() {
        return frage;
    }
    
    public String[] gibAntworten() {
        return antworten;
    }
    
    public int gibLoesung() {
        return loesung;
    }
    
    public int gibWert() {
        return werte[stufe];
    }

}
